Subject: bug#399: 23.0.60; comint-dynamic-complete doesn't complete name of executable in current directory

From: Eric Hanchrow <[email-masked]>
Date: Thu, 12 Jun 2008 09:25:43 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I started emacs  -Q -nw
I typed M-x shell RET
In the shell, I typed cd ~/kits/CoziExampleTest/ RET
  (that directory contains an executable file named test.py)
In the shell I typed ./te TAB
I expected to see emacs insert the rest of the file name, so that the final line read ./test.py.
Instead, nothing happened.
Note, however, that when I typed "ls ./te TAB", completion _did_ work: I saw "ls ./test.py"

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs-with-my-tweaks.git/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-06-12 on enver-laptop
configured using `configure  '--enable-maintainer-mode' '--with-xpm=no' '--with-jpeg=no' '--with-gif=no' '--with-tiff=no' '--with-xft' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 0 ; 1 1 5 ; 0 c ESC x s h e l l RET c d SPC 
k i TAB DEL DEL RET c d SPC k i TAB C o z TAB E TAB 
T TAB RET . / t e TAB TAB s t . p y RET ESC p C-a l 
l SPC RET C-h c TAB ESC x r e p o r t - e TAB RET

Recent messages:
("./emacs" "-Q")
For information about GNU Emacs and the GNU system, type C-h C-a.
No completions of ki
~ 
Completed
Partially completed [2 times]
Completed
~/kits/CoziExampleTest 
History item: 1
TAB runs the command comint-dynamic-complete